/* Base Styles */
body {
  margin: 0;
  font-family: Arial, sans-serif;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between; /* Ensure other options stay at the right */
  padding: 10px 20px;
  background-color: #fff;
}

.logo {
  display: flex;
  align-items: center;
  margin-right: 0; /* Remove any extra margin */
}

.logo img {
  width: auto;
  height: 50px; /* Set a fixed height or width */
}

.navigation-container {
    display: flex;
    align-items: center;
    gap: 4rem; /* Adjust spacing as needed */
}

.search-bar-sett {
  flex-grow: 1;
  display: flex;
  align-items: center;
  margin-left: 10px; /* Add a slight margin between the logo and search bar */
  background-color: #fff;
  padding: 10px;
  border-radius: 4px;
  width: 400px;
  position: relative;
}

.header-main-search {
  width: 100%;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 30px;
}

.close-search {
  display: none;
  position: absolute;
  right: 1.5rem;
  top: 15px;
  background: #fff;
}

.search-button {
  display: none; /* Hidden by default */
  background: #fff;
}

.search-bar input {
  width: 100%;
  padding: 8px 12px;
  border: 1px solid #ddd;
  border-radius: 20px;
  font-size: 14px;
  outline: none;
}

.search-bar button {
  position: absolute;
  right: 10px;
  background: none;
  border: none;
  cursor: pointer;
  color: #000;
  font-size: 16px;
}

.search-icon {
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  background: #FF826B;
  border-radius: 50%;
  padding: 3px 8px;
  color: #fff;
}

.fa-search {
  color: #fff;
  font-size: 18px;
  cursor: pointer;
}

/* Base Navigation Styles */
.navigation {
  display: flex;
  gap: 15px;
  justify-content: center;
}

.navigation a {
  text-decoration: none;
  color: #000;
  font-size: 14px;
  position: relative; /* To position the pseudo-elements relative to the link */
  padding: 5px 10px;
  overflow: hidden; /* To ensure pseudo-elements don't extend outside the link */
  border: 2px solid transparent; /* Initial border */
  transition: border-color 0.3s; /* Smooth transition for border color */
}
.navigation a:hover {
  border-color: #FF826B; /* Border color on hover */
}

.user-actions {
  display: flex;
  align-items: center;
  justify-content: flex-end; /* Keep these elements aligned to the right */
  flex: 1;
  gap: 15px;
}

.cart {
  position: relative;
  text-decoration: none;
  color: #000;
  font-size: 16px;
}

.cart-count {
  position: absolute;
  top: -5px;
  right: -10px;
  background-color: #f28a7f; /* Bright pink */
  color: #fff;
  font-size: 12px;
  border-radius: 50%;
  padding: 2px 5px;
}

.wishlist {
  font-size: 18px;
  text-decoration: none;
  color: #000;
}

.login-button {
  background-color: #000;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 6px 16px;
  font-size: 14px;
  cursor: pointer;
}

.logout-button{
  display: block;
  margin: 0 auto; /* centers horizontally */
  background-color: #000;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 6px 40px;
  font-size: 14px;
  cursor: pointer;
}

.hamburger-icon {
  display: none !important;
}

div#searchResults {
  position: absolute;
  background: #fff;
  width: 100%;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  border-radius: 0 0 10px 10px;
  border-radius: 20px;
  z-index: 1;
}

.results-container {
  height: fit-content;
  overflow: scroll;
  max-height: 500px;
}

.cart-count-badge {
  position: absolute;
  top: -8px;
  right: -8px;
  background-color: #FF826B;
  color: white;
  font-size: 12px;
  border-radius: 50%; 
  width: 20px;  
  height: 20px; 
  display: flex;
  align-items: center;
  justify-content: center;  
  padding: 0; 
}

/* Responsive Design */

@media (min-width: 767px) and (max-width: 1024px) {
  /* .header {
    width: 1200px;
  } */
  .logo {
    margin-right: 5px; /* Add space between the logo and search bar */
  }
  div#searchResults {
    width: 446px;
  }
}

@media (min-width: 1024px) {
  .search-button {
    display: none !important;
  }
  .searchShowCl {
    display: block !important;
  }
  div#searchResults {
    width: 446px;
  }
}

@media (max-width: 768px) {
  .header {
    justify-content: space-between; /* Center items vertically */
    padding: 15px 15px; /* Add some spacing */
  }
  .logo {
    margin-right: 5px; /* Add space between the logo and search bar */
  }

  .search-bar {
    flex: 1;
    width: 100%; /* Full width for smaller screens */
    margin: 10px 0;
  }

  .search-bar-sett {
    position: fixed;
    margin-top: 10px;
    left: 0;
    width: 100%; /* Make the search bar take up more width */
    padding: 8px;
  }

  .search-button {
    display: block; /* Show the search button on smaller screens */
  }

  /* Optionally, you can hide the icon and make the input field full-width */
  .search-icon {
    display: none; /* Hide the search icon on smaller screens */
  }

  .searchShowCl {
    display: none;
    /* Hide the input on mobile screens */
  }

  .close-search {
    display: block;
    position: absolute;
    right: 1.5rem;
    top: 15px;
    background: #fff;
  }

  .navigation-container {
    gap: 10px;
  }
  
  .navigation {
    align-items: center;
    gap: 10px;
    /* margin-bottom: 10px; */
  }

  .user-actions {
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
  }

  .sign-in-btn {
    gap: 10px;
  }

  .login-button {
    padding: 6px 12px; /* Slightly smaller padding for tablets */
    font-size: 12px; /* Reduce font size for tablets */
  }
  .hamburger-icon {
    display: block !important;
  }
  .menu-icon {
    display: none !important;
  }
  .dropdown-toggle::after {
    display: none !important;
  }

  div#searchResults {
    top: 7rem !important;
    left: 15px !important;
    background: #fff;
    width: fit-content;
  }

  .results-container {
    max-height: 300px;
  }
}

@media (max-width: 480px) {
  .header {
    justify-content: space-between;
    align-items: center; /* Center items horizontally */

    padding: 15px 10px; /* Add some spacing */
  }
  .logo {
    margin-right: 5px; /* Add space between the logo and search bar */
  }
  .logo img {
    height: 20px; /* Adjust height for very small screens */
  }
  .navigation {
    align-items: center;
    gap: 6px;
    font-size: 10px;
  }
  .navigation-container {
    gap: 0px;
  }
  .navigation a {
    font-size: 10px; /* Smaller text for links */
  }

  .search-bar input {
    font-size: 12px;
    padding: 6px 10px;
  }

  .search-bar-sett {
    position: fixed;
    margin-left: 10px;
    left: 0;
    width: 100%; /* Full width for mobile */
  }

  .search-button i {
    font-size: 15px;
  }

  .header-main-search {
    font-size: 14px; /* Slightly smaller font size */
  }

  .close-search {
    display: block;
    position: absolute;
    right: 1.5rem;
    top: 15px;
    background: #fff;
  }

  .login-button {
    padding: 5px 8px; /* Smaller padding for mobile */
    font-size: 9px; /* Further reduce font size for mobile */
  }

  .sign-in-btn {
    gap: 6px; /* Equal gap for all items */
  }

  .sign-in-btn svg {
    width: 22px !important;
  }

  div#searchResults {
    top: 6rem !important;
    left: 2px !important;
    background: #fff;
    width: fit-content;
  }
}


/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
  .search-bar-sett {
    width: 100%;
  }

  .logo img {
    height: 30px; /* Adjust height for smaller screens */
  }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {
  .search-bar-sett {
    width: 100%;
  }

  .logo img {
    height: 40px; /* Adjust height for smaller screens */
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
  .search-bar-sett {
    width: 100%;
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
  .search-bar-sett {
    width: 400px;
  }
}

